# Contributing

DIGITS is open-source, under the 3-clause BSD license (see [LICENSE](LICENSE)).

We welcome your suggestions and feedback!

## Mailing list

**Before creating an issue on GitHub**, check to see if you should be using the [mailing list](https://groups.google.com/d/forum/digits-users) instead.
The mailing list is for questions relating to:

* Problems installing DIGITS or its dependencies
* Understanding how to use a feature in DIGITS

Please go to https://groups.google.com/d/forum/digits-users and create a "New Question".

## Issue tracker

The [issue tracker](https://github.com/NVIDIA/DIGITS/issues) on GitHub is for:

* Suggesting an improvement to the documentation
* Requesting a new feature
* Reporting a bug
  * Please provide as much detail as possible about how others can reproduce the bug.

Go to https://github.com/NVIDIA/DIGITS/issues and create a "New Issue".

## Pull requests

If you would like to directly contribute to the codebase of DIGITS, open a pull request instead of an issue.
Or, even better, submit a fix for an existing issue in the tracker! Please follow these guidelines:

1. Send a signed copy of the [Contributor License Agreement](../CLA) (CLA) to digits@nvidia.com.
2. Follow [these instructions](https://help.github.com/articles/fork-a-repo) to create your own fork of DIGITS.
3. Make your changes in a new branch and push them to your fork.
3. Follow [these instructions](https://help.github.com/articles/using-pull-requests) to create a pull request.
